org.apache.solr.update.processor

## Class TimestampUpdateProcessorFactory

- java.lang.Object
- - org.apache.solr.update.processor.UpdateRequestProcessorFactory
  - - org.apache.solr.update.processor.AbstractDefaultValueUpdateProcessorFactory
    - - org.apache.solr.update.processor.TimestampUpdateProcessorFactory

- All Implemented Interfaces:
    NamedListInitializedPlugin

      public class TimestampUpdateProcessorFactory
      extends AbstractDefaultValueUpdateProcessorFactory

  An update processor that adds a newly generated `Date` value of "NOW" to any document being added that does not already have a value in the specified field.

  In the example configuration below, if a document does not contain a value in the `timestamp` field, a new `Date` will be generated and added as the value of that field.

       <processor class="solr.TimestampUpdateProcessorFactory">
         <str name="fieldName">timestamp</str>
       </processor>

  See Also:
    `Date`, `CommonParams.NOW`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.update.processor.UpdateRequestProcessorFactory

      `UpdateRequestProcessorFactory.RunAlways`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.update.processor.AbstractDefaultValueUpdateProcessorFactory

      `fieldName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimestampUpdateProcessorFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UpdateRequestProcessor` | `getInstance(SolrQueryRequest req, SolrQueryResponse rsp, UpdateRequestProcessor next)`

    - ### Methods inherited from class org.apache.solr.update.processor.AbstractDefaultValueUpdateProcessorFactory

      `init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimestampUpdateProcessorFactory

          public TimestampUpdateProcessorFactory()

  - ### Method Detail

    - #### getInstance

          public UpdateRequestProcessor getInstance(SolrQueryRequest req,
                                                    SolrQueryResponse rsp,
                                                    UpdateRequestProcessor next)

      Specified by:
        `getInstance` in class `UpdateRequestProcessorFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.